<?php 
session_start();
require_once '../../includes/conn.php'; 
?>

<!DOCTYPE html>
<html>
<head> 

<link rel="stylesheet" href="css/table_data_center_with_border_black.css">
</head>
<body>
 <div class="container-fluid">
 <br>

<center> <?php
				  
				   $pq=mysqli_query($con,"select * from stuff left join `user` on user.userid=stuff.userid where stuff.userid='".$_SESSION['id']."'");
				   while($pqrow=mysqli_fetch_array($pq)){
				?>
				 <span style="font-size:21;font-weight:bold;">
			  <?php echo $pqrow['business_name']; ?>
				 </span> 
	<?php }?> <br>
	<span style="font-size:19;">
Date Wise Assets Damage / Sale  Report
</span>
<br>
<span style="font-size:18;">
<?php 
$startDate = $_POST['startDate'];  $endDate = $_POST['endDate'];
echo '  Date From  : ' ; echo date("M d, Y", strtotime( $startDate));
echo ' |  Date To :  ' ; echo date("M d, Y", strtotime( $endDate));
?> <br>
Date : <?php echo date("M d, Y") ;?> | 
Time   : <?php date_default_timezone_set("Asia/Dhaka"); echo  date("h:i:sa");?>
 </span>
		 </center> <br>
 
<?php 
 
if($_POST) {

	$startDate = $_POST['startDate'];
	$date = DateTime::createFromFormat('m/d/Y',$startDate);
	$start_date = $date->format("Y-m-d");


	$endDate = $_POST['endDate'];
	$format = DateTime::createFromFormat('m/d/Y',$endDate);
	$end_date = $format->format("Y-m-d");

	$sql = "SELECT * FROM assets_details                             
 		left join asset_cat on asset_cat.ast_id=assets_details.ast_cat
	where assets_details.entry_date >= '$start_date' AND assets_details.entry_date <= '$end_date'  and assets_details.user_id='".$_SESSION['id']."' ";
	$query = $con->query($sql);

	$table = '
	<table border="1" cellspacing="0" cellpadding="0" class="table table-bordered" style="width:100%;">
		<tr>
							<th>SL</th>
							<th>Assets  Name</th>
							<th>Details</th>
							<th>Qty</th>
							<th>Price</th>
							<th>Causes </th>
							<th>Date</th>
							
		</tr>

		<tr>';
		$TotalQty = "";	
		$exp_cost = "";	
$sl=0;		
		while ($result = $query->fetch_assoc()) {
			$table .= '<tr>
				<td><center>'.++$sl.'</center></td>				
				<td><center>'.$result['ast_name'].'</center></td>
				<td><center>'.$result['details'].'</center></td>
				<td><center>'.$result['quantity'].'</center></td>
				<td><center>'.$result['price'].'</center></td>
				<td><center>'.$result['causes'].'</center></td>
				<td><center>'.date("d-M-Y", strtotime($result['entry_date'])).'</center></td>
			</tr>';	
			
			$TotalQty+= $result['quantity'];
			$exp_cost+= $result['price'];
		}
		$table .= '
		</tr>
		
        <tr>
			<td colspan="3" style="text-align:right; "><b> Total = </b></td>
			<td><center><b> '.$TotalQty.'</b></center></td>
			<td><center><b> '.$exp_cost.'</b></center></td>
		</tr>
		
	</table>
	';	

	echo $table;

}
?>

</div>
 
</body>
</html>
